Subject: bug#21035: closed (Re: bug#21035: 24.4; Window controls missing)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Aug 2020 04:27:03 +0000

Your bug report

#21035: 24.4; Window controls missing

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21035: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21035
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21035: 24.4; Window controls missing
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], Rick Stanley <[email-masked]>
Date: Tue, 11 Aug 2020 21:26:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Rick Stanley <[email-masked]> writes:
>
>> I shutdown a W510 Thinkpad laptop the previous night with several
>> applications open, using the normal shutdown method.  Upon startup this
>> morning, all applications open when shutdown, opened again.  All open
>> normally but emacs 24 was missing the controls on the top left and top
>> right.  I have an image that shows the whole window, attached.  Doing a [File]
>> [Close] then restarting the app, the controls are present.  I have had
>> this problem many times, although sometimes emacs does start correctly.
>
> (I'm going through old bug reports that have unfortunately not gotten
> any responses.)
>
> If you're still seeing this problem:
>
> What controls (on the top left and top right) were missing?  Nothing
> looked obviously wrong in the attached image to me.

More information was requested, but none was given within 1 year, so I'm
closing this bug.  If this is still an issue, please reply to this email
(use "Reply to all" in your email client) and we can reopen the bug
report.

Best regards,
Stefan Kangas

Subject: 24.4; Window controls missing
From: Rick Stanley <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jul 2015 09:17:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I shutdown a W510 Thinkpad laptop the previous night with several
applications open, using the normal shutdown method.  Upon startup this
morning, all applications open when shutdown, opened again.  All open
normally but emacs 24 was missing the controls on the top left and top
right.  I have an image that shows the whole window, attached.  Doing a [File]
[Close] then restarting the app, the controls are present.  I have had
this problem many times, although sometimes emacs does start correctly.

In GNU Emacs 24.4.1 (x86_64-pc-linux-gnu, GTK+ Version 3.14.5)
 of 2015-03-07 on trouble, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11604000
System Description:	Debian GNU/Linux 8.1 (jessie)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  yas-global-mode: t
  yas-minor-mode: t
  show-paren-mode: t
  savehist-mode: t
  recentf-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> M-x r e p o r t <tab> <return>

Recent messages:
.emacs.d/plugins/auto-header/auto-header.el: (lambda (somepar) ...) quoted with ' rather than with #'
.emacs.d/plugins/auto-header/auto-header.el: (lambda (parm) ...) quoted with ' rather than with #' [2 times]
[yas] Loading for `lisp-interaction-mode', just-in-time: (lambda nil (yas--load-directory-1 (quote /home/rick/.emacs.d/plugins/yasnippet/snippets/lisp-interaction-mode) (quote lisp-interaction-mode)))!
[yas] Loading compiled snippets from /home/rick/.emacs.d/plugins/yasnippet/snippets/lisp-interaction-mode
[yas] Loading for `emacs-lisp-mode', just-in-time: (lambda nil (yas--load-directory-1 (quote /home/rick/.emacs.d/plugins/yasnippet/snippets/emacs-lisp-mode) (quote emacs-lisp-mode)))!
[yas] Loading compiled snippets from /home/rick/.emacs.d/plugins/yasnippet/snippets/emacs-lisp-mode
[yas] Loading for `prog-mode', just-in-time: (lambda nil (yas--load-directory-1 (quote /home/rick/.emacs.d/plugins/yasnippet/snippets/prog-mode) (quote prog-mode)))!
[yas] Loading compiled snippets from /home/rick/.emacs.d/plugins/yasnippet/snippets/prog-mode
Loading /home/rick/.emacs.d/plugins/yasnippet/snippets/prog-mode/.yas-setup.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/usr/share/emacs/24.4/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/24.4/lisp/textmodes/ispell
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/24.4/lisp/textmodes/flyspell
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.4/lisp/textmodes/rst

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils auto-header yasnippet help-fns derived edmacro
kmacro cl-macs help-mode cl gv saveplace paren savehist recentf
tree-widget wid-edit cl-loaddefs cl-lib easymenu cus-start cus-load
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
time-date tooltip electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode prog-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind gfilenotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)

Memory information:
((conses 16 130577 4887)
 (symbols 48 21545 0)
 (miscs 40 42 107)
 (strings 32 18811 4067)
 (string-bytes 1 573192)
 (vectors 16 11743)
 (vector-slots 8 456274 3282)
 (floats 8 375 17)
 (intervals 56 233 0)
 (buffers 960 12)
 (heap 1024 46206 1011))

-- 
RSI (Rick Stanley, Inc.)
(917) 822-7771
www.rsiny.com
Computer Systems Consulting
Linux & Open Source Specialists